#
# spec file for package smp_utils
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           smp_utils
%define lname   libsmputils1-1
Version:        0.97
Release:        6.4
Summary:        Utilities for the SAS Management Protocol (SMP)
License:        BSD-3-Clause and GPL-2.0
Group:          Hardware/Other

Source:         http://sg.danny.cz/sg/p/%name-%version.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  xz
Provides:       scsi:/usr/bin/smp_conf_general
Provides:       scsi:/usr/bin/smp_conf_route_info
Provides:       scsi:/usr/bin/smp_discover
Provides:       scsi:/usr/bin/smp_discover_list
Provides:       scsi:/usr/bin/smp_phy_control
Provides:       scsi:/usr/bin/smp_phy_test
Provides:       scsi:/usr/bin/smp_read_gpio
Provides:       scsi:/usr/bin/smp_rep_exp_route_tbl
Provides:       scsi:/usr/bin/smp_rep_general
Provides:       scsi:/usr/bin/smp_rep_manufacturer
Provides:       scsi:/usr/bin/smp_rep_phy_err_log
Provides:       scsi:/usr/bin/smp_rep_phy_sata
Provides:       scsi:/usr/bin/smp_rep_route_info
Provides:       scsi:/usr/bin/smp_write_gpio

%description
The smp_utils package contains utilities for the Serial Attached SCSI
(SAS) Management Protocol (SMP).  Most utilities correspond to a single
SMP function, sending out a request, checking for errors and if all is
well processing the response. The response is either decoded, printed
out in ASCII hexadecimal or sent as binary to stdout.



Authors:
--------
    Doug Gilbert <dgilbert@interlog.com>

%package -n %lname
Summary:        Library for SAS SMP control of expanders
Group:          System/Libraries

%description -n %lname
The smp_utils package contains utilities for the Serial Attached SCSI
(SAS) Management Protocol (SMP).

This subpackage holds the library of shared functions.

%package -n libsmputils-devel
Summary:        Development files for the SAS SMP Expander Control Library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description -n libsmputils-devel
The smp_utils package contains utilities for the Serial Attached SCSI
(SAS) Management Protocol (SMP).

This subpackage contains libraries and header files for developing
applications that want to make use of libsmputils.

%prep
%setup -q

%build
# None of these is performance-critical, so use -Os rather than -O2:
export CFLAGS=$(echo "%optflags" | sed 's/\-O2/-Os/')
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%files
%defattr(-,root,root)
# smp_utils
%doc README ChangeLog
%_sbindir/smp_*
%_mandir/man8/*.8*

%files -n %lname
%defattr(-,root,root)
%_libdir/libsmputils1.so.1*

%files -n libsmputils-devel
%defattr(-,root,root)
%_includedir/scsi/
%_libdir/libsmputils1.so

%changelog
* Thu Jun 13 2013 jengelh@inai.de
- Update to new upstream release 0.95
  * mpt: cope with mpt2 ioctl that uses a different magic number
- Update to new upstream release 0.96
  * New utilities: smp_conf_zone_perm_tbl, smp_conf_zone_man_pass,
  smp_conf_zone_phy_info, smp_ena_dis_zoning, smp_rep_broadcast,
  smp_rep_phy_event, smp_rep_phy_event_list,
  smp_rep_self_conf_stat, smp_rep_zone_man_pass,
  smp_rep_zone_perm_tbl, smp_zone_activate, smp_zoned_broadcast,
  smp_zone_lock, smp_zone_unlock:
  * Allow specifying --phy= IDs up to 254
- Update to new upstream release 0.97
  * New utilitiy: smp_conf_phy_event
  * Synchronize to SPL-2 r03
  * smp_rep_phy_event, smp_rep_phy_event_list: add --enumerate
  option to list Phy Event Source names
- Now builds using autotools, changed %%build/%%install accordingly.
- Remove smp_utils-Makefile.diff (no longer applicable),
  smp_utils-compile-fixes (no longer applies)
- Simplify filelists. Remove redundant %%clean section.
* Fri Mar  1 2013 cfarrell@suse.com
- license update: BSD-3-Clause and GPL-2.0
  See mptctl.h
* Thu Feb 28 2013 coolo@suse.com
- update license to new format
* Fri Sep 30 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Thu Mar 12 2009 hare@suse.de
- Update to smp_utils-0.94 (bnc#483393)
  - smp_discover: sync to sas2r15
  - smp_discover_list: sync to sas2r15
  - smp_rep_general: sync to sas2r15
  - smp_rep_exp_route_tbl: sync to sas2r15
  - smp_lib: sync to sas2r15
  - sgv4: more detail in error messages
  - sgv4: drop scsi.h include, gives problems with lk 2.6.27
  - mpt: allow either /dev/mptctl or /dev/mpt2ctl [10;220-221]
  - warn if target SAS address is 0x00000000 when -v given
* Fri May 23 2008 hare@suse.de
- using 'Provides' to clean update dependency
* Thu Apr 24 2008 hare@suse.de
- Split off from original scsi package.
